PPL: Parma_Polyhedra_Library::Poly_Gen_Relation Class Reference

PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Parma_Polyhedra_Library::Poly_Gen_Relation Class Reference
C++ Language Interface

The relation between a polyhedron and a generator. More...

`#include <ppl.hh>`

## Public Member Functions
void | ascii_dump () const
| Writes to `std::cerr` an ASCII representation of `*this`.
void | ascii_dump (std::ostream &s) const
| Writes to `s` an ASCII representation of `*this`.
void | print () const
| Prints `*this` to `std::cerr` using `operator<<`.
bool | implies (const Poly_Gen_Relation &y) const
| True if and only if `*this` implies `y`.
bool | OK () const
| Checks if all the invariants are satisfied.

## Static Public Member Functions
static Poly_Gen_Relation | nothing ()
| The assertion that says nothing.
static Poly_Gen_Relation | subsumes ()
| Adding the generator would not change the polyhedron.

## Related Functions
(Note that these are not member functions.)
bool | operator== (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
| True if and only if `x` and `y` are logically equivalent. More...
bool | operator!= (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
| True if and only if `x` and `y` are not logically equivalent. More...
Poly_Gen_Relation | operator&& (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
| Yields the logical conjunction of `x` and `y`. More...
Poly_Gen_Relation | operator- (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
| Yields the assertion with all the conjuncts of `x` that are not in `y`.
std::ostream & | operator<< (std::ostream &s, const Poly_Gen_Relation &r)
| Output operator. More...
bool | operator== (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
bool | operator!= (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
Poly_Gen_Relation | operator&& (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
Poly_Gen_Relation | operator- (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)

## Detailed Description

The relation between a polyhedron and a generator.

This class implements conjunctions of assertions on the relation between a polyhedron and a generator.

## Friends And Related Function Documentation

bool operator== | ( | const Poly_Gen_Relation & | x,
|  | const Poly_Gen_Relation & | y
| ) |  |
| related

True if and only if `x` and `y` are logically equivalent.

bool operator!= | ( | const Poly_Gen_Relation & | x,
|  | const Poly_Gen_Relation & | y
| ) |  |
| related

True if and only if `x` and `y` are not logically equivalent.

Poly_Gen_Relation operator&& | ( | const Poly_Gen_Relation & | x,
|  | const Poly_Gen_Relation & | y
| ) |  |
| related

Yields the logical conjunction of `x` and `y`.

std::ostream & operator<< | ( | std::ostream & | s,
|  | const Poly_Gen_Relation & | r
| ) |  |
| related

Output operator.

bool operator== | ( | const Poly_Gen_Relation & | x,
|  | const Poly_Gen_Relation & | y
| ) |  |
| related

bool operator!= | ( | const Poly_Gen_Relation & | x,
|  | const Poly_Gen_Relation & | y
| ) |  |
| related

Poly_Gen_Relation operator&& | ( | const Poly_Gen_Relation & | x,
|  | const Poly_Gen_Relation & | y
| ) |  |
| related

Poly_Gen_Relation operator- | ( | const Poly_Gen_Relation & | x,
|  | const Poly_Gen_Relation & | y
| ) |  |
| related

The documentation for this class was generated from the following file:

- ppl.hh